﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Performance.DtoModels
{
    public class DeptDetailResponse
    {
        public PerDataAccountBaisc Pandect { get; set; }
        public List<DeptDetail> Economic { get; set; }
        public List<DeptDetail> Workload { get; set; }
    }

    public class DeptDetail
    {
        public string ItemName { get; set; }
        public decimal ItemValue { get; set; }
    }


    public class DeptDataDetails
    {
        public PerDataAccountBaisc Pandect { get; set; }

        public List<DetailDtos> Detail { get; set; }
    }

    public class DetailDtos
    {
        public string ItemName { get; set; }

        public decimal Amount { get; set; }

        public List<DetailModule> Items { get; set; }
    }

    public class DetailModule
    {
        public string ItemName { get; set; }

        public decimal? CellValue { get; set; }

        public decimal? Factor { get; set; }

        public decimal? ItemValue { get; set; }
    }
}
